package com.yd.csf.service.enums;

/**
 * 预约状态枚举
 */
public enum AppointmentStatusEnum {

    //预约状态枚举
    ZC("暂存",0),
    DYY("待预约",1),
    DQS("待签署",2),
    YQS("已签署",3),
    YQX("已取消",4),
    ;

    //字典项标签（名称）
    private String itemLabel;
    //字典项值
    private Integer itemValue;

    //构造函数
    AppointmentStatusEnum(String itemLabel, Integer itemValue) {
        this.itemLabel = itemLabel;
        this.itemValue = itemValue;
    }

    public String getItemLabel() {
        return itemLabel;
    }

    public Integer getItemValue() {
        return itemValue;
    }
}
